Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005CollisionDetector Class Reference

The default CollisionDetector in the GT2005 project. More...

`#include <GT2005CollisionDetector.h>`

Inheritance diagram for GT2005CollisionDetector:

[legend]
Collaboration diagram for GT2005CollisionDetector:

[legend]
List of all members.

## Public Member Functions
| GT2005CollisionDetector (const CollisionDetectorInterfaces &interfaces)
| Constructor.
virtual void | execute ()
| Executes the module.
## Private Member Functions
void | calculateThresholds ()
| Calculated the angle thresholds.
## Private Attributes
int | ringBuffer [SensorData::numOfSensor_ERS210][128][2]
int | floatingAvg [SensorData::numOfSensor_ERS210][SensorDataBuffer::maxNumOfFrames][16]
int | minAvg [SensorData::numOfSensor_ERS210][SensorDataBuffer::maxNumOfFrames]
int | threshold [SensorData::numOfSensor_ERS210][3]
int | oldVal
int | newVal
int | index
int | min
int | max
int | infin
int | walkingMode
int | q
double | lastMotionChange
double | currentMotionX
double | currentMotionY
double | currentRotation
double | lastMotionX
double | lastMotionY
double | lastRotation
double | motionChangeThresholdX
double | motionChangeThresholdY
double | motionChangeThresholdR
double | frontMin
double | frontMax
double | backMin
double | backMax
double | sideMin
double | sideMax
double | rotMin
double | rotMax
double | calmDown
double | scaleThresholdFore
double | scaleThresholdBack
double | scaleThresholdSide
double | scaleThresholdRot
double | motionChangeThresholdFactor
double | lastTooBigMotionChange
double | xRatio
double | yRatio
double | rRatio

## Detailed Description

The default CollisionDetector in the GT2005 project.

Definition at line 18 of file GT2005CollisionDetector.h.

## Constructor & Destructor Documentation

GT2005CollisionDetector::GT2005CollisionDetector | ( | const CollisionDetectorInterfaces & | interfaces | ) |

| Constructor. Definition at line 24 of file GT2005CollisionDetector.cpp. References max, and min.

## Member Function Documentation

void GT2005CollisionDetector::execute | ( |  | ) | `[virtual]`

| Executes the module. Reimplemented from Module. Definition at line 391 of file GT2005CollisionDetector.cpp. References calculateThresholds(), calmDown, currentMotionX, currentMotionY, SensorData::data, DEBUG_RESPONSE, MotionInfo::executedMotionRequest, floatingAvg, SensorDataBuffer::frame, SensorData::frameNumber, idText, lastMotionChange, lastMotionX, lastMotionY, max, maxfl1, maxfl2, maxfr1, maxfr2, maxhl1, maxhl2, maxhr1, maxhr2, min, min, minAvg, motionChangeThresholdFactor, motionChangeThresholdR, motionChangeThresholdX, motionChangeThresholdY, MotionRequest::motionType, newVal, SensorDataBuffer::numOfFrames, oldVal, OUTPUT, q, SensorData::refValue, CollisionPercept::reset(), ringBuffer, Pose2D::rotation, rRatio, CollisionPercept::setFrameNumber(), CollisionPercept::state, threshold, Pose2D::translation, walkingMode, WalkRequest::walkParams, MotionRequest::walkRequest, WalkRequest::walkType, Vector2< double >::x, xRatio, Vector2< double >::y, and yRatio.

Here is the call graph for this function:

void GT2005CollisionDetector::calculateThresholds | ( |  | ) | `[private]`

| Calculated the angle thresholds. To Test Definition at line 114 of file GT2005CollisionDetector.cpp. References backMax, currentMotionX, currentMotionY, frontMax, frontMin, infin, MODIFY, rotMax, rotMin, scaleThresholdBack, scaleThresholdFore, scaleThresholdRot, scaleThresholdSide, sideMax, sideMin, threshold, and walkingMode. Referenced by execute().

## Member Data Documentation

int GT2005CollisionDetector::ringBuffer[SensorData::numOfSensor_ERS210][128][2]`[private]`

| Definition at line 21 of file GT2005CollisionDetector.h. Referenced by execute().

int GT2005CollisionDetector::floatingAvg[SensorData::numOfSensor_ERS210][SensorDataBuffer::maxNumOfFrames][16]`[private]`

| Definition at line 22 of file GT2005CollisionDetector.h. Referenced by execute().

int GT2005CollisionDetector::minAvg[SensorData::numOfSensor_ERS210][SensorDataBuffer::maxNumOfFrames]`[private]`

| Definition at line 23 of file GT2005CollisionDetector.h. Referenced by execute().

int GT2005CollisionDetector::threshold[SensorData::numOfSensor_ERS210][3]`[private]`

| Definition at line 24 of file GT2005CollisionDetector.h. Referenced by calculateThresholds(), and execute().

int GT2005CollisionDetector::oldVal`[private]`

| Definition at line 25 of file GT2005CollisionDetector.h. Referenced by execute().

int GT2005CollisionDetector::newVal`[private]`

| Definition at line 26 of file GT2005CollisionDetector.h. Referenced by execute().

int GT2005CollisionDetector::index`[private]`

| Definition at line 27 of file GT2005CollisionDetector.h.

int GT2005CollisionDetector::min`[private]`

| Definition at line 28 of file GT2005CollisionDetector.h. Referenced by execute().

int GT2005CollisionDetector::max`[private]`

| Definition at line 29 of file GT2005CollisionDetector.h. Referenced by execute().

int GT2005CollisionDetector::infin`[private]`

| Definition at line 30 of file GT2005CollisionDetector.h. Referenced by calculateThresholds().

int GT2005CollisionDetector::walkingMode`[private]`

| Definition at line 31 of file GT2005CollisionDetector.h. Referenced by calculateThresholds(), and execute().

int GT2005CollisionDetector::q`[private]`

| Definition at line 32 of file GT2005CollisionDetector.h. Referenced by execute().

double GT2005CollisionDetector::lastMotionChange`[private]`

| Definition at line 34 of file GT2005CollisionDetector.h. Referenced by execute().

double GT2005CollisionDetector::currentMotionX`[private]`

| Definition at line 35 of file GT2005CollisionDetector.h. Referenced by calculateThresholds(), and execute().

double GT2005CollisionDetector::currentMotionY`[private]`

| Definition at line 36 of file GT2005CollisionDetector.h. Referenced by calculateThresholds(), and execute().

double GT2005CollisionDetector::currentRotation`[private]`

| Definition at line 37 of file GT2005CollisionDetector.h.

double GT2005CollisionDetector::lastMotionX`[private]`

| Definition at line 38 of file GT2005CollisionDetector.h. Referenced by execute().

double GT2005CollisionDetector::lastMotionY`[private]`

| Definition at line 39 of file GT2005CollisionDetector.h. Referenced by execute().

double GT2005CollisionDetector::lastRotation`[private]`

| Definition at line 40 of file GT2005CollisionDetector.h.

double GT2005CollisionDetector::motionChangeThresholdX`[private]`

| Definition at line 41 of file GT2005CollisionDetector.h. Referenced by execute().

double GT2005CollisionDetector::motionChangeThresholdY`[private]`

| Definition at line 42 of file GT2005CollisionDetector.h. Referenced by execute().

double GT2005CollisionDetector::motionChangeThresholdR`[private]`

| Definition at line 43 of file GT2005CollisionDetector.h. Referenced by execute().

double GT2005CollisionDetector::frontMin`[private]`

| Definition at line 45 of file GT2005CollisionDetector.h. Referenced by calculateThresholds().

double GT2005CollisionDetector::frontMax`[private]`

| Definition at line 46 of file GT2005CollisionDetector.h. Referenced by calculateThresholds().

double GT2005CollisionDetector::backMin`[private]`

| Definition at line 47 of file GT2005CollisionDetector.h.

double GT2005CollisionDetector::backMax`[private]`

| Definition at line 48 of file GT2005CollisionDetector.h. Referenced by calculateThresholds().

double GT2005CollisionDetector::sideMin`[private]`

| Definition at line 49 of file GT2005CollisionDetector.h. Referenced by calculateThresholds().

double GT2005CollisionDetector::sideMax`[private]`

| Definition at line 50 of file GT2005CollisionDetector.h. Referenced by calculateThresholds().

double GT2005CollisionDetector::rotMin`[private]`

| Definition at line 51 of file GT2005CollisionDetector.h. Referenced by calculateThresholds().

double GT2005CollisionDetector::rotMax`[private]`

| Definition at line 52 of file GT2005CollisionDetector.h. Referenced by calculateThresholds().

double GT2005CollisionDetector::calmDown`[private]`

| Definition at line 53 of file GT2005CollisionDetector.h. Referenced by execute().

double GT2005CollisionDetector::scaleThresholdFore`[private]`

| Definition at line 54 of file GT2005CollisionDetector.h. Referenced by calculateThresholds().

double GT2005CollisionDetector::scaleThresholdBack`[private]`

| Definition at line 55 of file GT2005CollisionDetector.h. Referenced by calculateThresholds().

double GT2005CollisionDetector::scaleThresholdSide`[private]`

| Definition at line 56 of file GT2005CollisionDetector.h. Referenced by calculateThresholds().

double GT2005CollisionDetector::scaleThresholdRot`[private]`

| Definition at line 57 of file GT2005CollisionDetector.h. Referenced by calculateThresholds().

double GT2005CollisionDetector::motionChangeThresholdFactor`[private]`

| Definition at line 58 of file GT2005CollisionDetector.h. Referenced by execute().

double GT2005CollisionDetector::lastTooBigMotionChange`[private]`

| Definition at line 59 of file GT2005CollisionDetector.h.

double GT2005CollisionDetector::xRatio`[private]`

| Definition at line 60 of file GT2005CollisionDetector.h. Referenced by execute().

double GT2005CollisionDetector::yRatio`[private]`

| Definition at line 61 of file GT2005CollisionDetector.h. Referenced by execute().

double GT2005CollisionDetector::rRatio`[private]`

| Definition at line 62 of file GT2005CollisionDetector.h. Referenced by execute().

The documentation for this class was generated from the following files:

- Modules/CollisionDetector/GT2005CollisionDetector.h
- Modules/CollisionDetector/GT2005CollisionDetector.cpp